> For the complete documentation index, see [llms.txt](https://docs.paykun.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paykun.com/technical-guide/web-integration/checkout-integration/web-integration-request.md).

# Request

Transaction can be initiated using form POST Request at following gateway URL :

* For Live Transaction: <https://checkout.paykun.com/payment>
* For Test Transaction: <https://sandbox.paykun.com/payment>

Form should contain three inputs to make this input as hidden to prevent exposure:

* [merchant\_id](/technical-guide/api-encryption-key-guide.md)
* [access\_token](/technical-guide/api-encryption-key-guide.md)
* encrypted\_request

Here, encrypted\_request is encrypted “||” separated data string, all parameters should first concat using “||” in the following format:

param\_1: value\_1 || param\_2: value\_2 || param\_3: value\_3 || ...

#### **Example :**

```
amount::20;
billing_address::billing_address;
billing_city::billing_city;
billing_country::billing_country;
billing_state::billing_state;
billing_zip::billing_zip;
customer_email::customer_email;
customer_name::customer_name;
customer_phone::customer_phone;
failure_url::failure_url;
order_no::order_no;
product_name::product_name;
shipping_address::shipping_address;
shipping_city::shipping_city;
shipping_country::shipping_country;
shipping_state::shipping_state;
shipping_zip::shipping_zip;
success_url::success_url;
udf_1::any_extra_param_you_want
```

And then it should be encrypted using the encryption algorithm shown in the following example of a form that can be used:

**Example :**

```markup
encrypt("amount::20;billing_address::billing_address;billing_city::billing_city;billing_country::billing_country;billing_state::billing_state;billing_zip::billing_zip;customer_email::customer_email;customer_name::customer_name;customer_phone::customer_phone;failure_url::failure_url;order_no::order_no;product_name::product_name;shipping_address::shipping_address;shipping_city::shipping_city;shipping_country::shipping_country;shipping_state::shipping_state;shipping_zip::shipping_zip;success_url::success_url;udf_1::any_extra_param_you_want", api_secret)
```

```markup
<html lang="en">

<head>
    <title>Processing Payment...</title>
    <meta http-equiv="content-type" content="text/html;charset=utf-8"> </head>

<body>
    <div> Processing your payment, please wait... </div>
    <form action="{gateway_url}" method="post" name="server_request" target="_top">
        <table width="80%" align="center" border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <input type="hidden" name="encrypted_request" id="encrypted_request" value="{encrypted_request}" /> </td>
            </tr>
            <tr>
                <td>
                    <input type="hidden" name="merchant_id" id="merchant_id" value="{merchant_id}" /> </td>
            </tr>
            <tr>
                <td>
                    <input type="hidden" name="access_token" id="access_token" value="{access_token}"> </td>
            </tr>
        </table>
    </form>
    <script type="text/javascript">
        document.server_request.submit();
    </script>
</body>

</html>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.paykun.com/technical-guide/web-integration/checkout-integration/web-integration-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
